Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 22 Nov 2014, 10:49
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 9 of 89 [1330 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 87, 88, 89 Next
Author Message
sszindian


Joined: 24 Apr 2010
Posts: 613
Location: Pennsylvania U.S.

PostPosted: Fri 09 Mar 2012, 21:20    Post subject: 3.2.9 Kernel & Old Box  

Further testing... this time on my old T22 IBM Notebook, 512 MB RAM.

Exprimo with the 3.2.9 kernel works flawlessly on everything I tried so far... and quiet fast I may say!!!

I guess this finally clears the old misunderstanding that older computers require older kernels! You couild not want for a 'now, nicer Notebbook' than this old T22 has ever displayed throughout its past life... amazing! Posting from the T22 here now.

Thanks pemasu for a truly unique program for old boxes.

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
sszindian


Joined: 24 Apr 2010
Posts: 613
Location: Pennsylvania U.S.

PostPosted: Sat 10 Mar 2012, 15:40    Post subject: gnumeric  

Test: Package Install - Installing a package that wasn't included in Exprimo 3.2.9

gnumeric-1.10.13-dpup.pet... from your Official Exprimo pets at Smokey01 does not seem to work? Is there a dependency package or something else needed?

Downloads and installs on systems OK putting a topic in the Business area on the menu, but won't run.

Downloaded and tried to install (from & on) two-differant computers, same problem.

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sat 10 Mar 2012, 16:03    Post subject:  

You will need goffice also. If you launch gnumeric in console...you will see what is missing. I have been lazy with adding needed dependencies to the pet.specs. I will do so in the future. I have learned the lesson.
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Sat 10 Mar 2012, 16:08    Post subject: Re: gnumeric  

sszindian wrote:
Test: Package Install - Installing a package that wasn't included in Exprimo 3.2.9

gnumeric-1.10.13-dpup.pet... from your Official Exprimo pets at Smokey01 does not seem to work? Is there a dependency package or something else needed?

Downloads and installs on systems OK putting a topic in the Business area on the menu, but won't run.

Downloaded and tried to install (from & on) two-differant computers, same problem.

>>>---Indian------>


hi sszindian you can tell which dependencies are missing by typing gnumeric in console. good luck.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sat 10 Mar 2012, 16:36    Post subject:  

LibreOffice-3.5.0-en_US.pet has been uploaded to the exprimo repo. It has rox left and right clicks included.
I found the reason why LibreOffice pets created from get_libreoffice sfs does not update the menu. There is one broken symlink which causes it. I found the reason when I launched the pet installation from console with petget command. The error was seen that way. Removing that broken symlink and everything was ok.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Mon 12 Mar 2012, 07:46    Post subject: Firstrun-1.9.9  

Firstrun-1.9.9, test release, intended to be compatible with the recent woof.
http://www.murga-linux.com/puppy/viewtopic.php?t=58312
Back to top
View user's profile Send private message Visit poster's website 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 12 Mar 2012, 10:19    Post subject:  

Thank you. Shinobar. I will test this in next test build of exprimo. I need to recompile the kernel also. Aufs 3.2 has new fixed aufs version which should address aufs hanging problem.
Back to top
View user's profile Send private message 
recobayu


Joined: 15 Sep 2010
Posts: 114
Location: indonesia

PostPosted: Wed 14 Mar 2012, 11:33    Post subject: libreoffice 3.5.0  

hi pemasu, libreoffice 3.5.0 can't show full screen on writer.
but i like this interface, it's like ms office 2010 Very Happy
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Wed 14 Mar 2012, 17:31    Post subject:  

I am afraid it is jwm bug again.
Back to top
View user's profile Send private message 
sszindian


Joined: 24 Apr 2010
Posts: 613
Location: Pennsylvania U.S.

PostPosted: Thu 15 Mar 2012, 21:31    Post subject: Gnumeric  

sszindian wrote:

gnumeric-1.10.13-dpup.pet... from your Official Exprimo pets at Smokey01 does not seem to work? Is there a dependency package or something else needed?
_____________________________________________________

pemasu wrote:

You will need goffice also. If you launch gnumeric in console...you will see what is missing. I have been lazy with adding needed dependencies to the pet.specs. I will do so in the future. I have learned the lesson.
-----------------------------------------------------

jim3630 wrote:

hi sszindian you can tell which dependencies are missing by typing gnumeric in console. good luck.

-----------------------------------------------------

sszindian found:

libgoffice-0.8.so.8 is the missing lib needed... however... sszindian chopped down all the trees in forest sending up smoke signals to Internet but... no smoke signals returned !!!! out of trees Crying or Very sad

Where do I download this pet Question

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Thu 15 Mar 2012, 22:50    Post subject:  

http://packages.debian.org/sid/libgoffice-0.8-8

http://www.linuxfromscratch.org/blfs/view/cvs/x/goffice.html
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Fri 16 Mar 2012, 02:08    Post subject:  

I have checked and reuploaded the gnumeric-goffice-libgsf to the exprimo repo.

Now the dependency checking informs the needed dependencies and you can install them all straight when you click the examine dependencies. It also informs the need of libxml which is included but the package manager probably checks the dependencies from debian-main database file and that is the reason of that misinformation.

Anyway...gnumeric-goffice-libgsf are now repackaged in exprimo repo with dependencies added to the pet.specs.
Back to top
View user's profile Send private message 
sszindian


Joined: 24 Apr 2010
Posts: 613
Location: Pennsylvania U.S.

PostPosted: Fri 16 Mar 2012, 08:06    Post subject: liboffice  

jpeps:
Thanks for that lead, wow there are a ton of various liboffice files available there but could not locate that specific one... tried several, was not able to get any to work.

pemasu:
I will try the new Gnumeric upload you made later today... hopefully that does the trick! Hmmm... I am going to install the latest Ambiword in Exprimo hope we don't run into the same problem?

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Fri 16 Mar 2012, 09:10    Post subject:  

Abiword needs stuff also, but there is now dependency checking.
I wonder why you dont use the ready made abiword-gnumeric-goffice sfs. I have even 2 different versions in repo.
Just click the Sfs Apps Loader icon and choose the version. Both should work, though I dont use them.
Back to top
View user's profile Send private message 
sszindian


Joined: 24 Apr 2010
Posts: 613
Location: Pennsylvania U.S.

PostPosted: Fri 16 Mar 2012, 11:00    Post subject: Testing  

Well... this was interesting.....

Did a complete update on the PPM...

Reloaded PPM went to Exprimo packages... Gnumeric was NO LONGER THERE... in any heading! and I had already deleted the previous Exprimo from my system in hopes of a fresh new one... bummer...

Checked Smokey01 pemasu's area, it was still available there but getting it there would not have allowed me to install the dependencies needed...

Back to PPM looked in a few other areas... in 'Puppy 5 PPM' there was a gnumeric_Lucid52-0 I figured what the heck, I'll try it. Downloaded the .pet, installed it and guess what... 'Gnumeric Works Without installing any dependencies in Exprimo.'

Also installed Ambiword from Smokey01 pemasu area and that worked without a problem.

I doubt newbees will go through a procedure like the Gnumeric one, they will just 'shelf the program and forget about it and go one to something that workes OOTB for them'.

I have encountered problems like (and similiar) to this with various Puppy Distro's and yes... it's a problem!

It appears to me that Puppy Is Starting To 'Run Wild' as all the new developments are taking place, and a more-structured system is a must for the future if Puppy is to servive and attract new users.

After all this testing I have come to the conclusion that possibly Puppy Distro's should be compiled with just the necessary programs to get it going and let the user install the programs from a 'WELL MANAGED - ALL PROGRAMS WORK - WITH DEPENDENCIES INCLUDED' PPM themselves!

This would make the avarage Puppy much much smaller for downloading and yet have available everything the user may want or need in the 'WELL MANAGED' PPM plus Testers would have a much easier job and probably be able to pinpoint problems a lot easier.

If any other Testers have any thoughts on this subject, pleas make them known or maybe better yet Testers should start a Forum Thread of their own on this subject where developers could better find solutions after all, the Tester is really the backbone of the success or failure of a version are they not?

>>>---Indian------>

PS: pemasu: Yes I am aware of those other sfs files however... I am Testing For You!!! so that you can have a better distro.... That's why I dig into the complex areas... As far a using a Puppy, I have my own distro for everyday use...

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 9 of 89 [1330 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 87, 88, 89 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0879s ][ Queries: 12 (0.0105s) ][ GZIP on ]